Table of Contents

## Name

im_makerw - make an IMAGE writeable

## Synopsis

#include <vips/vips.h>

int im_makerw( image )
IMAGE *image;

## Description

im_makerw(3) attempts to make image writeable, ready for an in-place operation. Its actions are just as those for im_incheck(3) , except that descriptors which after im_incheck(3) end up as IM_MMAPIN descriptors, magically become IM_MMAPINRW descriptors.

Extreme caution is urged! You can permanently damage valuable data with this call.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_mmapin(3) , im_mmapinrw(3) , im_fastlineuser(3) .

## Copyright

National Gallery, 1992

## Author

J. Cupitt

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author